# lecle_screen_manager
A Flutter plugin to manage the device's screen on Android and iOS devices. Migrate from [screen](https://pub.dev/packages/screen) package

## Usage
To use this plugin, add [`screen`](https://pub.dev/packages/lecle_screen_manager) as a [dependency in your pubspec.yaml file](https://flutter.io/platform-plugins/).

Make sure you add the following permissions to your Android Manifest
```
<uses-permission android:name="android.permission.WAKE_LOCK" />
```

## Example
``` dart
// Import package
import 'package:lecle_screen_manager/lecle_screen_manager.dart';

// Get the current brightness:
double brightness = await LecleScreenManager.brightness;

// Set the brightness:
LecleScreenManager.setBrightness(0.5);

// Check if the screen is kept on:
bool isKeptOn = await LecleScreenManager.isKeptOn;

// Prevent screen from going into sleep mode:
LecleScreenManager.keepOn(true);
```
